Index: WAeUP_SRP/trunk/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 1228)
+++ WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 1229)
@@ -11,4 +11,5 @@
  <object name="members" meta_type="CPS Layout"/>
  <object name="members_search" meta_type="CPS Layout"/>
+ <object name="payment" meta_type="CPS Layout"/>
  <object name="student" meta_type="CPS Layout"/>
  <object name="scratch_card_batch" meta_type="CPS Layout"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/payment.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/payment.xml	(revision 1228)
+++ WAeUP_SRP/trunk/profiles/default/layouts/payment.xml	(revision 1229)
@@ -10,5 +10,5 @@
  <property name="label_edit"></property>
  <property name="is_i18n">False</property>
- <widget name="amount" meta_type="Float Widget">
+ <widget name="amount" meta_type="String Widget">
   <property name="title">Amount Payed</property>
   <property name="fields">
@@ -20,5 +20,4 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="decimals_number">2</property>
  </widget>
  <widget name="date" meta_type="DateTime Widget">
@@ -48,5 +47,5 @@
   <property name="title">Approved Amount</property>
   <property name="fields">
-   <element value="resp_approved_amt"/>
+   <element value="resp_approved_amount"/>
   </property>
   <property name="label">Approved Amount</property>
@@ -80,6 +79,16 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="resp_desc" meta_type="String Widget"/>
- <widget name="type_code" meta_type="String Widget">
+<widget name="resp_desc" meta_type="String Widget">
+ <property name="title">Response Description</property>
+ <property name="fields">
+  <element value="resp_desc"/>
+ </property>
+ <property name="label">Response Description</property>
+ <property name="label_edit">Response Description</property>
+ <property name="readonly_layout_modes"/>
+ <property name="hidden_layout_modes"/>
+ <property name="hidden_readonly_layout_modes"/>
+</widget>
+  <widget name="type_code" meta_type="String Widget">
   <property name="title">Payment Type Code</property>
   <property name="fields">
@@ -104,3 +113,29 @@
  </widget>
  <table/>
+   <table>
+  <row>
+   <cell name="type_code"/>
+  </row>
+  <row>
+   <cell name="type_description"/>
+  </row>
+  <row>
+   <cell name="date"/>
+  </row>
+  <row>
+   <cell name="amount"/>
+  </row>
+  <row>
+   <cell name="resp_code"/>
+  </row>
+  <row>
+   <cell name="type_description"/>
+  </row>
+  <row>
+   <cell name="resp_card_num"/>
+  </row>
+  <row>
+   <cell name="resp_approved_amount"/>
+  </row>
+ </table>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/payment.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/payment.xml	(revision 1228)
+++ WAeUP_SRP/trunk/profiles/default/schemas/payment.xml	(revision 1229)
@@ -5,8 +5,6 @@
  <field name="type_description" meta_type="CPS String Field"/>
  <field name="order_id" meta_type="CPS String Field"/>
- <field name="transaction_code" meta_type="CPS String Field"/>
- <field name="pay_type" meta_type="CPS String Field"/>
- <field name="amount" meta_type="CPS Float Field"/>
- <field name="amount" meta_type="CPS Float Field"/>
+ <field name="amount" meta_type="CPS String Field"/>
+ <field name="resp_pay_reference" meta_type="CPS String Field"/>
  <field name="resp_desc" meta_type="CPS String Field"/>
  <field name="resp_code" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/types/PaymentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/PaymentsFolder.xml	(revision 1228)
+++ WAeUP_SRP/trunk/profiles/default/types/PaymentsFolder.xml	(revision 1229)
@@ -27,8 +27,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="acco_folder_index"/>
- <alias from="view" to="acco_folder_index"/>
+ <alias from="(Default)" to="student_index"/>
+ <alias from="view" to="student_index"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/acco_folder_index" visible="True">
+    url_expr="string:${object_url}/student_index" visible="True">
   <permission value="View"/>
  </action>
Index: WAeUP_SRP/trunk/skins/waeup_epayment/epayment_cb.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/epayment_cb.py	(revision 1228)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/epayment_cb.py	(revision 1229)
@@ -26,5 +26,5 @@
 sbrain = context.students_catalog(id=student_id)[0]
 res = context.portal_catalog(portal_type="Certificate",
-                                     id = sbrain.course)
+                            id = sbrain.course)
 if not res:
     return None
@@ -36,6 +36,8 @@
               ("x_ApprAmt","resp_approved_amount"),
               )
-pd = []
+pd = {}
+from Products.zdb import set_trace;set_trace()
 for rc,pdk in resp_codes:
     pd[pdk] = request.get(rc)
-context.getContent().edit(mapping=pdk)
+context.getContent().edit(mapping=pd)
+return request.RESPONSE.redirect("%s/waeup_document_view" % context.absolute_url()) 