Index: WAeUP_SRP/trunk/profiles/default/layouts/payment.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/payment.xml	(revision 1237)
+++ WAeUP_SRP/trunk/profiles/default/layouts/payment.xml	(revision 1238)
@@ -108,7 +108,6 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table/>
-   <table>
+  </widget>
+  <table>
   <row>
    <cell name="type_code"/>
Index: WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 1238)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/getPaymentsFolderInfo.py	(revision 1238)
@@ -0,0 +1,41 @@
+## Script (Python) "getPaymentsInfo"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id$
+"""
+Info for the PaymentsFolder
+"""
+import logging
+logger = logging.getLogger('EPayment.')
+import DateTime
+request = context.REQUEST
+students = context.portal_url.getPortalObject().campus.students
+
+student_id = context.getStudentId()
+if student_id is None:
+    return context.REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
+#student = getattr(students,student_id)
+s_brain = context.students_catalog(id = student_id)[0] 
+payments = []
+for o_id in context.objectIds():
+    d = {}
+    d['id'] = o_id
+    res = context.portal_catalog(id=o_id)
+    if res:
+        title = res[0].Title
+        d['title'] = title or o_id 
+    else:
+        d['title'] = "no Title"
+    payments.append(d)
+#from Products.zdb import set_trace;set_trace()
+info = {}
+is_so = info['is_so'] = context.isSectionOfficer()
+info['student_name'] = s_brain.name
+info['payments'] = payments
+return info
Index: WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1238)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1238)
@@ -0,0 +1,37 @@
+<metal:html tal:define="info context/getPaymentsFolderInfo;
+             is_so info/is_so;
+             rows info/payments"
+             >
+  <span tal:condition="not: info">
+    <span tal:content="here/illegal_view" />
+  </span>
+  <metal:block tal:condition="info">                         
+    <metal:body use-macro="here/waeup_content_master/macros/master">
+      <metal:block fill-slot="header">
+        <a href=""
+           tal:attributes="href string:${context/aq_parent/absolute_url}">
+          <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+          Up one level
+        </a>
+        <h3> 
+          <span tal:condition="python:is_so">
+            <span tal:content="info/student_name" />:
+          </span>
+          <span tal:content="here/title_or_id" />
+        </h3>
+        <br />
+      </metal:block>
+      <metal:main fill-slot="main">
+        <table class="contentListing" width="100%">      
+          <tr tal:repeat="row rows"
+              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td>
+              <a href="view" tal:attributes="href string:${context/absolute_url}/${row/id}">
+                <strong tal:content="row/title" /></a> 
+            </td>
+          </tr>
+        </table>
+      </metal:main>
+    </metal:body>
+  </metal:block>
+</metal:html>    
Index: WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 1237)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 1238)
@@ -18,4 +18,5 @@
 member = pm.getAuthenticatedMember()
 
+#from Products.zdb import set_trace;set_trace()
 if context.isStaff():
     if context.portal_type == 'StudentStudyCourse':
@@ -25,4 +26,6 @@
     elif context.portal_type == 'StudentClearance':
         return context.clearance_view()
+    elif context.portal_type == 'PaymentsFolder':
+        return context.payments_view()
     elif context.portal_type == 'Student':
         return redirect("%s/student_view" % context.absolute_url())