Index: /WAeUP_SRP/trunk/Payment.py
===================================================================
--- /WAeUP_SRP/trunk/Payment.py	(revision 1238)
+++ /WAeUP_SRP/trunk/Payment.py	(revision 1239)
@@ -28,5 +28,5 @@
     def Title(self):
         """compose title"""
-        return "Payments Section"
+        return "Payments"
 
 ###)
Index: eUP_SRP/trunk/skins/waeup_custom/widget_boolean_render.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/widget_boolean_render.pt	(revision 1238)
+++ 	(revision )
@@ -1,63 +1,0 @@
-<tal:block define="mode options/mode;
-                   value options/value;
-                   label_value options/label_value;
-                   render_format options/render_format">
-
-<tal:block condition="python:mode == 'view'">
-  <tal:block content="label_value"/>
-</tal:block>
-
-<tal:block condition="python:mode == 'edit'">
-  <tal:block define="true_checked value;
-    ">
-    <tal:checkbox condition="python:render_format == 'checkbox'">
-      <input type="checkbox" value="True"
-             tal:attributes="checked true_checked;
-                             name string:${here/getHtmlWidgetId}:boolean;
-                             id string:${here/getHtmlWidgetId};
-              "/>
-      <input type="hidden" value=""
-             tal:attributes="name string:${here/getHtmlWidgetId}:boolean:default;" />
-    </tal:checkbox>
-
-    <tal:radio condition="python:render_format == 'radio'">
-      <fieldset class="widget"
-                tal:attributes="id string:${here/getHtmlWidgetId}">
-      <input type="radio" value="True"
-             tal:attributes="checked true_checked;
-                             id string:${here/getHtmlWidgetId}_true;
-                             name string:${here/getHtmlWidgetId}:boolean;" />
-      <label tal:content="here/label_true"
-             tal:attributes="for string:${here/getHtmlWidgetId}_true"
-             i18n:translate="" > True </label><br/>
-      <input type="radio" value="False"
-             tal:attributes="checked not:true_checked;
-                             id string:${here/getHtmlWidgetId}_false;
-                             name string:${here/getHtmlWidgetId}:boolean;" />
-      <label tal:content="here/label_false"
-             tal:attributes="for string:${here/getHtmlWidgetId}_false"
-             i18n:translate="" > False </label><br/>
-      </fieldset>
-    </tal:radio>
-
-    <tal:select condition="python:render_format == 'select'">
-      <select tal:attributes="
-              name string:${here/getHtmlWidgetId}:boolean;
-              id string:${here/getHtmlWidgetId};
-          ">
-        <option value="True"
-                tal:attributes="selected true_checked"
-                tal:content="here/label_true"
-                i18n:translate="" />
-        <option value="False"
-                tal:attributes="selected not:true_checked"
-                tal:content="here/label_false"
-                i18n:translate="" />
-      </select>
-    </tal:select>
-
-  </tal:block>
-
-</tal:block>
-
-</tal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_custom/widget_boolean_render.pt_not_working_properly
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/widget_boolean_render.pt_not_working_properly	(revision 1239)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/widget_boolean_render.pt_not_working_properly	(revision 1239)
@@ -0,0 +1,63 @@
+<tal:block define="mode options/mode;
+                   value options/value;
+                   label_value options/label_value;
+                   render_format options/render_format">
+
+<tal:block condition="python:mode == 'view'">
+  <tal:block content="label_value"/>
+</tal:block>
+
+<tal:block condition="python:mode == 'edit'">
+  <tal:block define="true_checked value;
+    ">
+    <tal:checkbox condition="python:render_format == 'checkbox'">
+      <input type="checkbox" value="True"
+             tal:attributes="checked true_checked;
+                             name string:${here/getHtmlWidgetId}:boolean;
+                             id string:${here/getHtmlWidgetId};
+              "/>
+      <input type="hidden" value=""
+             tal:attributes="name string:${here/getHtmlWidgetId}:boolean:default;" />
+    </tal:checkbox>
+
+    <tal:radio condition="python:render_format == 'radio'">
+      <fieldset class="widget"
+                tal:attributes="id string:${here/getHtmlWidgetId}">
+      <input type="radio" value="True"
+             tal:attributes="checked true_checked;
+                             id string:${here/getHtmlWidgetId}_true;
+                             name string:${here/getHtmlWidgetId}:boolean;" />
+      <label tal:content="here/label_true"
+             tal:attributes="for string:${here/getHtmlWidgetId}_true"
+             i18n:translate="" > True </label><br/>
+      <input type="radio" value="False"
+             tal:attributes="checked not:true_checked;
+                             id string:${here/getHtmlWidgetId}_false;
+                             name string:${here/getHtmlWidgetId}:boolean;" />
+      <label tal:content="here/label_false"
+             tal:attributes="for string:${here/getHtmlWidgetId}_false"
+             i18n:translate="" > False </label><br/>
+      </fieldset>
+    </tal:radio>
+
+    <tal:select condition="python:render_format == 'select'">
+      <select tal:attributes="
+              name string:${here/getHtmlWidgetId}:boolean;
+              id string:${here/getHtmlWidgetId};
+          ">
+        <option value="True"
+                tal:attributes="selected true_checked"
+                tal:content="here/label_true"
+                i18n:translate="" />
+        <option value="False"
+                tal:attributes="selected not:true_checked"
+                tal:content="here/label_false"
+                i18n:translate="" />
+      </select>
+    </tal:select>
+
+  </tal:block>
+
+</tal:block>
+
+</tal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_student/students_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 1238)
+++ /WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 1239)
@@ -22,10 +22,9 @@
 
 students_url = "%s/campus/students" % (context.portal_url())
-campus_url = "%s/campus" % (context.portal_url())
 
 if "ClearanceOfficers" in member.getGroups():
-    return redirect("%s/search_students" % students_url)
+    return redirect("%s/search_students" % context.portal_url())
 if context.isSectionOfficer():
-    return redirect("%s/search_students" % students_url)
+    return redirect("%s/search_students" % context.portal_url())
 if context.isStudent():
     id = str(member)