Index: /WAeUP_SRP/trunk/Payment.py
===================================================================
--- /WAeUP_SRP/trunk/Payment.py	(revision 1242)
+++ /WAeUP_SRP/trunk/Payment.py	(revision 1243)
@@ -30,6 +30,4 @@
         return "Payments"
 
-###)
-
 InitializeClass(PaymentsFolder)
 
@@ -52,10 +50,13 @@
         """compose title"""
         content = self.getContent()
-        heading = getattr(content,'heading',None)
-        if heading is None:
-            return self.title
-        return heading
-
-###)
+        description = getattr(content,'type_description','')
+        d = getattr(content,'date','')
+        #pay_date = "%s.%s.%s %s:%s:%s" %(d[:2],d[2:4],d[4:6],d[6:8],d[8:10],d[10:])
+        pay_date = d.strftime("%d.%m.%y. %H:%M:%S")
+        amount = getattr(content,'amount','')
+        if not (description or pay_date or amount):
+            return self.getId()
+        return "%(description)s %(amount)s N %(pay_date)s" % vars()
+    ###)
 
 InitializeClass(Payment)
Index: /WAeUP_SRP/trunk/Widgets.py
===================================================================
--- /WAeUP_SRP/trunk/Widgets.py	(revision 1242)
+++ /WAeUP_SRP/trunk/Widgets.py	(revision 1243)
@@ -394,5 +394,9 @@
             for field in self.check_fields:
                 cv = getattr(record,field).upper()
-                cvs.append(cv)
+                if len(cv.split()) > 1:
+                    for splited in cv.split():
+                        cvs.append(splited)
+                else:
+                    cvs.append(cv)
                 if cv  == value.upper():
                     found = True
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/epayment_cb.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/epayment_cb.py	(revision 1242)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/epayment_cb.py	(revision 1243)
@@ -37,5 +37,5 @@
               )
 pd = {}
-from Products.zdb import set_trace;set_trace()
+#from Products.zdb import set_trace;set_trace()
 for rc,pdk in resp_codes:
     pd[pdk] = request.get(rc)
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py	(revision 1242)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py	(revision 1243)
@@ -24,15 +24,17 @@
 student = getattr(students,student_id)
 sbrain = context.students_catalog(id=student_id)[0]
-res = context.portal_catalog(portal_type="Certificate",
-                                     id = sbrain.course)
-if not res:
-    logger.info('"%s","certificate not found", "%s"' % (student_id,course))
-    sfc = "ART"
-else:    
-    sfc = res[0].getPath().split('/')[-4]
+amount,description = context.getSchoolFee(sbrain.faculty)
+##res = context.portal_catalog(portal_type="Certificate",
+##                                     id = sbrain.course)
+##
+##if not res:
+##    logger.info('"%s","certificate not found", "%s"' % (student_id,course))
+##    sfc = "ART"
+##else:    
+##    sfc = res[0].getPath().split('/')[-4]
 info = {}
-info['amount'] = "75000"
-info['type_code'] = sfc
-info['type_description'] = "Schoolfee %s for 2006/2007 Session" % sfc
+info['amount'] = amount
+info['type_code'] = sbrain.faculty
+info['type_description'] = description
 info['pay_bill_to'] = sbrain.name
 info['pay_ship_to'] = "University of Benin"
@@ -41,5 +43,5 @@
 info['student_email'] = sbrain.email
 now = DateTime.DateTime()
-info['pay_date'] = now.strftime("%d%m%y%H%M%S")
+info['date'] = now
 order_id = info['order_id'] = "%d" % int(now.timeTime()*1000)
 info['order_id'] = "%s%s" % (student_id[1:],order_id)
@@ -48,18 +50,19 @@
     payments = getattr(student,'payments')
     d = {}
-    d['Title'] = 'Online Payments'
+    d['Title'] = 'Payments'
     payments.getContent().edit(mapping=d)
+    wftool.doActionFor(payments,'open')
 else:
     payments = getattr(student,'payments')
 p_id = "p%s" % order_id
 payments.invokeFactory('Payment', p_id)
-#from Products.zdb import set_trace;set_trace()
 payment = getattr(payments,p_id)
 d = {}
 d.update(info)
-d['Title'] = "%(type_description)s %(pay_date) %(amount)s N" % info
+#from Products.zdb import set_trace;set_trace()
 payment.getContent().edit(mapping=d)
 info['callback_url'] = "%s/payments/%s/epayment_cb" % (student.absolute_url(),p_id)
-if context.portal_url().find('uniben-demo.waeup.org') >-1:
+if context.portal_url().find('uniben-demo.waeup.org') >-1 or\
+   context.portal_url().find('uniben.waeup.org') >-1:
     info['action'] = "http://www.wemaonlinepayments.biz/payment.aspx"
 else:
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1242)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1243)
@@ -23,5 +23,8 @@
       </metal:block>
       <metal:main fill-slot="main">
-        <table class="contentListing" width="100%">      
+        <div>
+          <a href="" tal:attributes="href string:${context/absolute_url}/pay_online">Pay Your Schoolfee online</a>
+        </div>
+        <table class="contentListing" width="100%">
           <tr tal:repeat="row rows"
               tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/simulate_callback.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/simulate_callback.py	(revision 1242)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/simulate_callback.py	(revision 1243)
@@ -16,5 +16,5 @@
 args['x_RespCode'] = '00'
 args['x_CardNum'] = '0114'
-args['x_ApprAmt'] = '75000.00'
+args['x_ApprAmt'] = REQUEST.get('x_amt')
 
 from urllib import urlencode
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt	(revision 1242)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt	(revision 1243)
@@ -48,5 +48,5 @@
             Amount:
             </td>
-            <td> Naira <span tal:content="info/amount" /></td>
+            <td> Naira <span tal:content="info/amount" />.00</td>
           </tr>
         </table>
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentFolderInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentFolderInfo.py	(revision 1242)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentFolderInfo.py	(revision 1243)
@@ -26,6 +26,5 @@
 info = {}
 member_id = str(member)
-#from Products.zdb import set_trace
-#set_trace()
+#from Products.zdb import set_trace;set_trace()
 is_student = info['is_student'] = context.isStudent()
 is_staff = info['is_staff'] = context.isStaff()
@@ -68,4 +67,5 @@
               'StudentPersonal': 'personal_view',
               'StudentStudyCourse': 'study_course_view',
+              'PaymentsFolder': 'payments_view',
               'StudentPume': 'pume_view',
               }
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 1242)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 1243)
@@ -26,10 +26,10 @@
     elif context.portal_type == 'StudentClearance':
         return context.clearance_view()
-    elif context.portal_type == 'PaymentsFolder':
-        return context.payments_view()
     elif context.portal_type == 'Student':
         return redirect("%s/student_view" % context.absolute_url())
     return redirect("%s/waeup_document_view" % context.absolute_url())
 if context.isStudent():
+    if context.portal_type == 'PaymentsFolder':
+        return context.payments_view()
     students_url = "%s/campus/students" % (context.portal_url())
     id = str(member)