Index: WAeUP_SRP/trunk/Payment.py
===================================================================
--- WAeUP_SRP/trunk/Payment.py	(revision 1246)
+++ WAeUP_SRP/trunk/Payment.py	(revision 1247)
@@ -52,10 +52,10 @@
         description = getattr(content,'type_description','')
         d = getattr(content,'date','')
-        #pay_date = "%s.%s.%s %s:%s:%s" %(d[:2],d[2:4],d[4:6],d[6:8],d[8:10],d[10:])
-        pay_date = d.strftime("%d.%m.%y. %H:%M:%S")
+        #pay_date = "%s/%s/%s %s:%s:%s" %(d[:2],d[2:4],d[4:6],d[6:8],d[8:10],d[10:])
+        pay_date = d.strftime("%d/%m/%y %H:%M:%S")
         amount = getattr(content,'amount','')
         if not (description or pay_date or amount):
             return self.getId()
-        return "%(description)s %(amount)s N %(pay_date)s" % vars()
+        return "%(description)s, Naira %(amount)s, %(pay_date)s" % vars()
     ###)
 
Index: WAeUP_SRP/trunk/profiles/default/layouts/payment.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/payment.xml	(revision 1246)
+++ WAeUP_SRP/trunk/profiles/default/layouts/payment.xml	(revision 1247)
@@ -8,10 +8,10 @@
  <property name="validate_values_expr"></property>
  <widget name="amount" meta_type="String Widget">
-  <property name="title">Amount Payed</property>
+  <property name="title">Amount Authorized</property>
   <property name="fields">
    <element value="amount"/>
   </property>
-  <property name="label">Amount Payed</property>
-  <property name="label_edit">Amount Payed</property>
+  <property name="label">Amount Authorized</property>
+  <property name="label_edit">Amount Authorized</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -19,33 +19,21 @@
  </widget>
  <widget name="date" meta_type="DateTime Widget">
-  <property name="title">Payment Date</property>
+  <property name="title">Transaction Date</property>
   <property name="fields">
    <element value="date"/>
   </property>
-  <property name="label">Payment Date</property>
-  <property name="label_edit">Payment Date</property>
+  <property name="label">Transaction Date</property>
+  <property name="label_edit">Transaction Date</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="order_id" meta_type="String Widget">
-  <property name="title">Order Id</property>
-  <property name="fields">
-   <element value="order_id"/>
-  </property>
-  <property name="label">Order Id</property>
-  <property name="label_edit">Order Id</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">20</property>
- </widget>
  <widget name="resp_approved_amount" meta_type="String Widget">
-  <property name="title">Approved Amount</property>
+  <property name="title">Response Amount Approved</property>
   <property name="fields">
    <element value="resp_approved_amount"/>
   </property>
-  <property name="label">Approved Amount</property>
-  <property name="label_edit">Approved Amount</property>
+  <property name="label">Response Amount Approved</property>
+  <property name="label_edit">Response Amount Approved</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -54,10 +42,10 @@
  </widget>
  <widget name="resp_pay_reference" meta_type="String Widget">
-  <property name="title">Pay Reference</property>
+  <property name="title">Response Reference</property>
   <property name="fields">
    <element value="resp_pay_reference"/>
   </property>
-  <property name="label">Pay Reference</property>
-  <property name="label_edit">Pay Reference</property>
+  <property name="label">Response Reference</property>
+  <property name="label_edit">Response Reference</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -66,10 +54,10 @@
  </widget>
  <widget name="resp_card_num" meta_type="String Widget">
-  <property name="title">Card Nr Used</property>
+  <property name="title">Response Card Used</property>
   <property name="fields">
    <element value="resp_card_num"/>
   </property>
-  <property name="label">Card Used</property>
-  <property name="label_edit">Card Used</property>
+  <property name="label">Response Card Used</property>
+  <property name="label_edit">Response Card Used</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -100,10 +88,10 @@
 </widget>
   <widget name="type_code" meta_type="String Widget">
-  <property name="title">Payment Type Code</property>
+  <property name="title">Payment Code</property>
   <property name="fields">
    <element value="type_code"/>
   </property>
-  <property name="label">Payment Type Code</property>
-  <property name="label_edit">Payment Type Code</property>
+  <property name="label">Payment Code</property>
+  <property name="label_edit">Payment Code</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -111,10 +99,10 @@
  </widget>
  <widget name="type_description" meta_type="String Widget">
-  <property name="title">Payment Type Description</property>
+  <property name="title">Payment Description</property>
   <property name="fields">
    <element value="type_description"/>
   </property>
-  <property name="label">Payment Type Description</property>
-  <property name="label_edit">Payment Type Description</property>
+  <property name="label">Payment Description</property>
+  <property name="label_edit">Payment Description</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py	(revision 1246)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py	(revision 1247)
@@ -18,6 +18,6 @@
         "EDU",
         )
-fee_1_data = ("22200","Schoolfee for 2006/2007 Session")
-fee_2_data = ("23700","Schoolfee for 2006/2007 Session")
+fee_1_data = ("22200","School Fee for Session 2006/2007")
+fee_2_data = ("23700","School Fee for Session 2006/2007")
 
 if faculty in fee1:
Index: WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1246)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1247)
@@ -23,7 +23,5 @@
       </metal:block>
       <metal:main fill-slot="main">
-        <div>
-          <a href="" tal:attributes="href string:${context/absolute_url}/pay_online">Pay Your Schoolfee online</a>
-        </div>
+
         <table class="contentListing" width="100%">
           <tr tal:repeat="row rows"
@@ -35,4 +33,14 @@
           </tr>
         </table>
+        <br />
+        <div>
+        
+        <form tal:attributes="action string: ${context/absolute_url}/pay_online" method="post" class="group">
+         <input type="submit" class="context" value="Initiate School Fee Online Payment" />
+        </form>  
+
+        </div>        
+        
+        
       </metal:main>
     </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt	(revision 1246)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt	(revision 1247)
@@ -3,5 +3,5 @@
                 tal:define="info options/info">
                 
-        <h3>Pay Your School Fee Online! </h3>
+        <h3>Authorize Online Payment! </h3>
         <br />
                 
@@ -48,10 +48,16 @@
             Amount:
             </td>
-            <td> Naira <span tal:content="info/amount" />.00</td>
+            <td> Naira <span tal:content="info/amount" /></td>
           </tr>
+          <tr>
+            <td >
+            Bank:
+            </td>
+            <td>Wema Bank</td>
+          </tr>          
         </table>
         <br />
         <input type="submit" class="standalone" name="btnPostPopup" 
-                     value="Pay with Wema Bank Debit Card" 
+                     value="Start" 
                      />
 