Index: WAeUP_SRP/trunk/skins/waeup_student/createReturningStudent.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/createReturningStudent.py	(revision 1251)
+++ 	(revision )
@@ -1,75 +1,0 @@
-## Script (Python) "createReturningStudent"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=matric_no=None
-##title=
-##
-# $Id: createReturningStudent.py 1151 2006-12-29 22:05:53Z joachim $
-''' create the Studentbase folder'''
-
-
-pm = context.portal_membership
-member = pm.getAuthenticatedMember()
-wftool = context.portal_workflow
-students_folder = context.portal_url.getPortalObject().campus.students
-import logging
-logger = logging.getLogger('createReturningStudent')
-
-#if str(member) not in ("admin","joachim"):
-#    return "not possible"
-
-
-#defined in WAeUPTool.py
-
-# def createOne(student_brain):
-#     sid = context.waeup_tool.generateStudentId('?')
-#     students_folder.invokeFactory('Student', sid)
-#     student = getattr(students_folder,sid)
-#     wftool.doActionFor(student,'return')
-#     student.manage_setLocalRoles(sid, ['Owner',])
-#     jamb_reg_no = student_brain.Entryregno,
-#     context.students_catalog.addRecord(id = sid,
-#                                        matric_no = matric_no,
-#                                        jamb_reg_no = jamb_reg_no,
-#                                        sex = student_brain.Sex == "F",
-#                                        name = "%s %s %s" % (student_brain.Firstname,
-#                                                             student_brain.Middlename,
-#                                                             student_brain.Lastname)
-#                                     )
-#     return sid,jamb_reg_no
-
-if not matric_no:
-    return "No MatricNo"
-
-if matric_no != 'All':
-    if context.students_catalog(matric_no=matric_no):
-        return "Student with %s already exists" % matric_no
-    res = context.returning_import(matric_no = matric_no)
-    if len(res) != 1:
-        return "MatricNo %s not found in Returning Table" % matric_no
-    student_brain = res[0]
-    sid,jamb_reg_no = context.waeup_tool.createOne(student_brain)
-    logger.info('"%s","Created Student","%s", "%s" ' % (member,sid,matric_no))
-    return "Student MatricNo %s, StudentId %s Jamb %s created" % (matric_no,sid,jamb_reg_no)
-
-students = context.returning_import(emil="adf")
-count = 1
-total = 0
-logger.info('"%s","Create Students start"' % (member))
-#from Products.zdb import set_trace;set_trace()
-for student in students:
-    if context.students_catalog(matric_no=student.matric_no):
-        logger.info('"Student already exists","%s"' % (student.matric_no))
-        continue
-    if count > 100:
-        context.waeup_tool.createOne(student,commit=True)
-        logger.info('"%s","Commited Students","%s", "%s" ' % (member,count,total))
-        total += count
-        count = 1
-    else:
-        context.waeup_tool.createOne(student)
-        count += 1
-logger.info('"%s","Create Students finish","%s"' % (member,total))
Index: WAeUP_SRP/trunk/skins/waeup_student/delete_student_from_catalog.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/delete_student_from_catalog.py	(revision 1251)
+++ 	(revision )
@@ -1,28 +1,0 @@
-## Script (Python) "delete_student_from_catalog"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=id=None, REQUEST=None
-##title=
-##
-# $Id: delete_student_from_catalog.py 805 2006-11-09 09:38:29Z henrik $
-"""
-FIXME: add docstring.
-"""
-
-scat = context.students_catalog
-
-if id:
-   stud = scat(id=id)
-   if stud:
-     scat.deleteRecord(stud[0].id)
-     message = '%s (%s) removed from catalog' % (stud[0].name, id)
-   else:
-     message = 'Id not found'
-else:
-   message = 'no Id in request'
-return message
-
-
Index: WAeUP_SRP/trunk/skins/waeup_student/refresh_certificate_info.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/refresh_certificate_info.py	(revision 1251)
+++ 	(revision )
@@ -1,33 +1,0 @@
-##parameters=REQUEST, certid=None
-# $Id$
-"""
-refresh the certificate info in the students_catalog
-"""
-request = context.REQUEST
-if not certid:
-    return "Certificate not specified"
-
-course = request.get('certid')
-res = context.portal_catalog(portal_type='Certificate',id = course)
-if not res:
-    return "Certificate %s not found"
-c_brain = res[0]
-c_path = c_brain.getPath().split('/')
-faculty = c_path[-4]
-department = c_path[-3]
-s_cat = context.students_catalog
-s_res = s_cat(course = certid)
-#from Products.zdb import set_trace
-#set_trace()
-if not s_res:
-    return "No students for %s not found"
-refreshed = []
-refreshed.append("Record started")
-for student_id in [st.id  for st in s_res]:
-    s_cat.modifyRecord(id = student_id,
-                       course = course,
-                       faculty = faculty,
-                       department = department,
-                       )
-    refreshed.append("Record %s refreshed" % student_id)
-return '\r'.join(refreshed)
Index: WAeUP_SRP/trunk/skins/waeup_student/removeResults.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/removeResults.py	(revision 1251)
+++ 	(revision )
@@ -1,34 +1,0 @@
-## Script (Python) "search_pins"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=REQUEST
-##title=
-##
-# $Id$
-"""
-list Students for ClearanceOfficers
-"""
-
-request = REQUEST
-wftool = context.portal_workflow
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
-roles = member.getRolesInContext(context)
-rcat = context.results_import
-#from Products.zdb import set_trace;set_trace()
-if str(member) not in ('admin','joachim'):
-    return 
-count = 0
-for m in rcat.uniqueValuesFor('matric_no'):
-    if m.startswith('ENG'):
-        res = rcat(matric_no = m)
-        to_del = []
-        for r in res:
-            to_del.append(r.key)
-        for uid in to_del:
-            rcat.deleteRecord(uid)
-        count += len(to_del)
-return "%d deleted" % count