Index: WAeUP_SRP/trunk/skins/waeup_student/fixLevel.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/fixLevel.py	(revision 1253)
+++ 	(revision )
@@ -1,47 +1,0 @@
-## Script (Python) "search_pins"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=REQUEST
-##title=
-##
-# $Id$
-"""
-list Students for ClearanceOfficers
-"""
-
-request = REQUEST
-wftool = context.portal_workflow
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
-roles = member.getRolesInContext(context)
-retcat = context.returning_import
-rcat = context.results_import
-scat = context.students_catalog
-from Products.AdvancedQuery import Eq, Between, Le,In
-aq_students = context.students_catalog.evalAdvancedQuery
-
-if str(member) not in ('admin','joachim'):
-    return 
-count = 0
-#from Products.zdb import set_trace;set_trace()
-values = scat.uniqueValuesFor('level')
-#query = ~ In("level",('100', '200', '300', '400', '500', '600'))
-query = In("level",('',))
-res = aq_students(query)
-#from Products.zdb import set_trace;set_trace()
-modified = []
-modified.append("%d to change" % len(res))
-list = []
-for sbrain in res:
-    list.append((sbrain.id,sbrain.matric_no))
-for id,m in list:
-    erg = context.results_import(matric_no=m)
-    if erg and erg[0].Level:
-        context.students_catalog.modifyRecord(id = id, level=erg[0].Level)
-        modified.append("%s, %s" % (id,m))
-    else:
-        modified.append("no results for %s, %s" % (id,m))
-return '\n'.join(modified)
Index: WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py	(revision 1253)
+++ WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py	(revision 1254)
@@ -46,5 +46,10 @@
 info['app_doc'] = student.application.getContent()
 info['clear_doc'] = student.clearance.getContent()
-#info['password'] = member.getPassword()
+info['password'] = context.waeup_tool.getCredential(student_id)
+
+if info['per_doc'].email:
+    info['email'] = info['per_doc'].email
+else: 
+    info['email'] = info['app_doc'].app_email
 
 msg="""
@@ -53,8 +58,8 @@
 Matriculation Number: %s
 JAMB Registration Number: %s
-Email address in application data: %s
-Email address in personal data: %s
+Email Address in Application Data: %s
+Email Address in Personal Data: %s
 Date of Birth: %s
-Password:
+Password: %s
 
 """
@@ -68,4 +73,5 @@
     info['per_doc'].email,
     info['clear_doc'].birthday,
+    info['password']
     )
 
Index: WAeUP_SRP/trunk/skins/waeup_student/mail_next_student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/mail_next_student.py	(revision 1254)
+++ WAeUP_SRP/trunk/skins/waeup_student/mail_next_student.py	(revision 1254)
@@ -0,0 +1,16 @@
+## Script (Python) "go_to_student"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=REQUEST, student_id=None
+##title=
+# $Id: clearance_edit.py 1217 2007-01-06 17:50:02Z henrik $
+"""
+"""
+
+
+if student_id != None:
+  url = context.portal_url() + '/campus/students/'  + str(student_id) + '/mail_password_form'
+  return REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_student/mail_password_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/mail_password_form.pt	(revision 1253)
+++ WAeUP_SRP/trunk/skins/waeup_student/mail_password_form.pt	(revision 1254)
@@ -11,8 +11,8 @@
       <h3>Mail Authentification Data</h3>
       <br />
-      <span tal:condition="not:info/per_doc/email"> 
+      <span tal:condition="not:info/email"> 
       Sorry, the student did not provide an email address.
       </span>
-      <span tal:condition="info/per_doc/email">
+      <span tal:condition="info/email">
       <form id="form1" name="form1" method="post" action="mail2student">
 
@@ -22,5 +22,5 @@
              tal:attributes="value python:member.getProperty('email',None)"/>             
       <input type="hidden" name="student_email" type="text" id="student_email"
-             tal:attributes="value info/per_doc/email"/>                   
+             tal:attributes="value info/email"/>                   
 
       <table width="100%" border="0" cellspacing="5" cellpadding="0">
@@ -38,10 +38,10 @@
           </td>
           <td>
-             <span tal:content="info/per_doc/email" />
+             <span tal:content="info/email" />
           </td>
         </tr>
         <tr>
           <td>
-             <strong>Subject Line: </strong>
+             <strong>Subject: </strong>
           </td>
           <td>
@@ -70,7 +70,7 @@
       </form>
       </span>
-      <form tal:attributes="action string: ${context/portal_url}/campus/students" method="post" class="group">
+      <form action="mail_next_student" method="post" class="group">
          <input type="submit" class="context" value="Next Student Id" />
-         <input name="id" type="text" size="8">
+         <input name="student_id" type="text" size="8">
       </form>      
       </span>
Index: WAeUP_SRP/trunk/skins/waeup_student/student_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 1253)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 1254)
@@ -40,15 +40,16 @@
             </td>
           </tr>
-          <tr tal:condition="python:info['member'].id in ('admin','joachim','kehindesamuel','med',)">
-            <td colspan="3">      
-              <a href="" 
-                 target="member"
-                 onclick="javascript:window.open('','member','width=300, height=300, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')"
-                 tal:attributes="href string:${context/portal_url}/portal_directories/students/${info/id}/manage_main">
-                <strong>Member Record</strong>
-              </a>
-            </td>
-          </tr>
         </table>
+        
+                  
+         <span tal:condition="python:info['member'].id in ('admin','joachim','kehindesamuel','med',)">
+         <br />
+         <form action="mail_password_form" method="post" class="group">
+            <input type="submit" class="context" value="Send Email with Authentification Data" />
+         </form>
+         </span> 
+
+
+        
 
     <table tal:condition="is_student" class="contentListing" width="" summary="content layout" id="folder_content">      