Index: /WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py	(revision 1256)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py	(revision 1257)
@@ -13,4 +13,5 @@
 """
 import logging
+from urllib import urlencode
 logger = logging.getLogger('EPayment.')
 import DateTime
@@ -34,4 +35,6 @@
 ##    sfc = res[0].getPath().split('/')[-4]
 info = {}
+info['site_id'] = '8000'
+info['currency_id'] = '566'
 info['amount'] = amount
 info['type_code'] = sbrain.faculty
@@ -55,4 +58,7 @@
 else:
     payments = getattr(student,'payments')
+if request.has_key('epayment'):
+    return context.wema_form(info=info)
+
 p_id = "p%s" % order_id
 payments.invokeFactory('Payment', p_id)
@@ -69,3 +75,21 @@
     info['action'] = "%s/payments/%s/simulate_callback" % (student.absolute_url(),p_id)
 logger.info('"%(student_id)s","%(type_description)s", "%(amount)s N"' % info)
-return context.wema_form(info=info)
+payment_fields = (('x_SiteID','site_id'),
+                  ('x_Redirect_url','callback_url'),
+                  ('x_CurrencyID','currency_id'),
+                  ('x_PaymentCode','type_code'),
+                  ('x_PayDesc','type_description'),
+                  ('x_Billto','pay_bill_to'),
+                  ('x_Shipto','pay_ship_to'),
+                  ('x_PayerID','student_id'),
+                  ('x_PayerNames','student_name'),
+                  ('x_PayerEmail','student_email'),
+                  ('x_OrderID','order_id'),
+                  ('x_amt','amount'),
+                  )
+args = {}
+for arg,field in payment_fields:
+    args[arg] = info[field]
+url = info['action'] + "?" + urlencode(args)
+request.RESPONSE.redirect(url)
+
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1256)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1257)
@@ -37,5 +37,8 @@
         
         <form tal:attributes="action string: ${context/absolute_url}/pay_online" method="post" class="group">
-         <input type="submit" class="context" value="Initiate School Fee Online Payment" />
+         <input type="submit" name="epayment" 
+                class="context" 
+                value="Initiate School Fee Online Payment" 
+                />
         </form>  
 
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt	(revision 1256)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/wema_form.pt	(revision 1257)
@@ -6,19 +6,8 @@
         <br />
                 
-      <form method="post" action="http://www.wemaonlinepayments.biz/payment.aspx"
-            tal:attributes="action info/action">
-        <input name="x_SiteID" type="hidden" id="x_SiteID" value="8000"/>
-        <input name="x_Redirect_url" type="hidden" id="x_Redirect_url" 
-               value="http://uniben.waeup.org/callback"
-               tal:attributes="value info/callback_url"
-               />
-        <input name="x_CurrencyID" type="hidden" value="566" />
+      <form method="post" action="pay_online">
         <table>
           <tr>
             <td width="100px">
-            <input name="x_PaymentCode" type="hidden" 
-                   tal:attributes="value info/type_code" />
-            <input name="x_PayDesc" type="hidden" 
-                   tal:attributes="value info/type_description" />
             Payment:</td>
             <td tal:content="info/type_description"></td>
@@ -26,16 +15,4 @@
           <tr>
             <td>
-            <input name="x_Billto" type="hidden" 
-                   tal:attributes="value info/pay_bill_to" />
-            <input name="x_Shipto" type="hidden" 
-                   tal:attributes="value info/pay_ship_to" />
-            <input name="x_PayerID" type="hidden" 
-                   tal:attributes="value info/student_id" />
-            <input name="x_PayerNames" type="hidden" 
-                   tal:attributes="value info/student_name" />
-            <input name="x_PayerEmail" type="hidden" 
-                   tal:attributes="value info/student_email" />
-            <input name="x_OrderID" type="hidden" 
-                   tal:attributes="value info/order_id" />
             Name:
             </td>
@@ -44,6 +21,4 @@
           <tr>
             <td >
-            <input name="x_amt" type="hidden" 
-                   tal:attributes="value info/amount" />
             Amount:
             </td>
@@ -58,7 +33,9 @@
         </table>
         <br />
-        <input type="submit" class="standalone" name="btnPostPopup" 
-                     value="Start" 
-                     />
+        <input type="submit" 
+               class="standalone" 
+               name="goto_bank" 
+               value="Start" 
+               />
 
       </form>