Index: /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 1258)
+++ /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 1259)
@@ -147,4 +147,5 @@
  <state state_id="objection_raised" title="">
   <exit-transition transition_id="enter_clearance_pin"/>
+  <exit-transition transition_id="create_content"/>
   <permission-map name="Delete objects" acquired="False">
   </permission-map>
@@ -223,5 +224,5 @@
              new_state="admitted" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -234,5 +235,5 @@
              new_state="admission_applied" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -245,5 +246,5 @@
              new_state="cleared_and_validated"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -256,5 +257,5 @@
              new_state="student_created" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>Manager</guard-role>
@@ -267,5 +268,5 @@
              new_state="" trigger="USER" before_script=""
              after_script="">
-  
+
   <guard>
    <guard-role>Manager</guard-role>
@@ -279,5 +280,5 @@
              new_state="deferred" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -290,5 +291,5 @@
              new_state="application_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -301,5 +302,5 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -312,5 +313,5 @@
              new_state="school_fee_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-role>Manager</guard-role>
@@ -322,5 +323,5 @@
              new_state="finally_rejected" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -333,5 +334,5 @@
              new_state="school_fee_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-role>CourseAdviser</guard-role>
@@ -343,5 +344,5 @@
              new_state="pume_failed" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -354,5 +355,5 @@
              new_state="pume_passed" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -365,5 +366,5 @@
              new_state="objection_raised" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -377,5 +378,5 @@
              new_state="courses_registered" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>Manager</guard-role>
@@ -387,5 +388,5 @@
              new_state="admission_rejected" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -398,5 +399,5 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -409,5 +410,5 @@
              new_state="clearance_requested" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -420,5 +421,5 @@
              new_state="returning" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -430,5 +431,5 @@
              new_state="courses_validated" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>CourseAdviser</guard-role>
@@ -442,5 +443,5 @@
   <description>Time of the last transition</description>
   <default>
-   
+
    <expression>state_change/getDateTime</expression>
   </default>
Index: /WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1258)
+++ /WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1259)
@@ -1,9 +1,3 @@
-<metal:html tal:define="rendered options/rendered;
-            portal_status_message options/psm;
-            students options/students;
-            info options/info|nothing;
-            allowed options/allowed|nothing"
-            >
-  <metal:body use-macro="here/main_template/macros/master">
+<metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header"
                  tal:define="creation creation|nothing;
@@ -13,5 +7,11 @@
     </metal:block>
     
-    <metal:main fill-slot="main">
+    <metal:main fill-slot="main"
+            tal:define="rendered options/rendered;
+            portal_status_message options/psm;
+            students options/students;
+            info options/info|nothing;
+            allowed options/allowed|nothing"
+            >
       <span tal:condition="not: allowed">
         <span tal:content="here/illegal_view" />
@@ -122,5 +122,4 @@
       </span>
     </metal:main>
-  </metal:body>
-</metal:html>
+</metal:body>
   
Index: /WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt	(revision 1258)
+++ /WAeUP_SRP/trunk/skins/waeup_student/session_results_anon_view.pt	(revision 1259)
@@ -56,5 +56,5 @@
       <div tal:condition="registered">
         <span tal:condition="python: registered == 'no_student_object'">
-          Your student and member record have not yet been created, please check again later.
+          Your student and member records have not yet been created, please check again later.
         </span>
         <font color="red">