Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1274)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1275)
@@ -103,5 +103,5 @@
   <action title="Home" action_id="home" category="navigation"
      condition_expr="member" url_expr="string:${portal_url}/campus"
-     visible="True">
+     visible="False">
    <permission>View</permission>
   </action>
@@ -177,5 +177,5 @@
 
   <action title="Home" action_id="students_home" category="student_navigation"
-     condition_expr="" url_expr="string:${portal_url}" visible="True">
+     condition_expr="not:member" url_expr="string:${portal_url}" visible="True">
    <permission>View</permission>
   </action>
@@ -195,5 +195,5 @@
   <action title="My Payments" action_id="payments"
      category="student_navigation" condition_expr="member"
-     url_expr="string:${portal_url}/campus/students/${here/getStudentId}/payments" visible="True"/>     
+     url_expr="string:${portal_url}/campus/students/${here/getStudentId}/payments" visible="True"/>
   <action title="Register Courses" action_id="register_courses"
      category="student" condition_expr="member"
Index: WAeUP_SRP/trunk/profiles/default/actions.xml_orig
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml_orig	(revision 1274)
+++ 	(revision )
@@ -1,209 +1,0 @@
-<?xml version="1.0"?>
-<object name="portal_actions" meta_type="CMF Actions Tool">
- <action-provider name="portal_membership">
-  <action title="Search Members" action_id="member_view" category="user"
-     condition_expr="member"
-     url_expr="string:${portal_url}/search_members_form" visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="Student Login" action_id="login" category="user"
-     condition_expr="not: member"
-     url_expr="string:${portal_url}/login_student" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Staff Login" action_id="login_staff" category="student"
-     condition_expr="not: member"
-     url_expr="python:&quot;%s/login_staff?%s&quot; % (portal_url, modules[&quot;urllib&quot;].urlencode({&quot;came_from&quot;: request.URL}))"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Log out" action_id="logout" category="user"
-     condition_expr="member" url_expr="string:${portal_url}/logout"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="My stuff" action_id="mystuff" category="user"
-     condition_expr="python: member and portal.portal_membership.getHomeFolder()"
-     url_expr="string:${portal/portal_membership/getHomeUrl}/folder_contents"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="action_my_preferences" action_id="preferences"
-     category="user"
-     condition_expr="python:member and member.has_role(&quot;Member&quot;)"
-     url_expr="string:${portal_url}/member_view?dirname=members&amp;id=${member}"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Student Login" action_id="login_student" category="student"
-     condition_expr="not:member"
-     url_expr="python:&quot;%s/login_student?%s&quot; % (portal_url, modules[&quot;urllib&quot;].urlencode({&quot;came_from&quot;: request.URL}))"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Log out" action_id="logout_student" category="student"
-     condition_expr="member" url_expr="string:${portal_url}/logout"
-     visible="True"/>
- </action-provider>
- <action-provider name="portal_actions">
-  <action title="action_portlets" action_id="portlets" category="folder"
-     condition_expr="member"
-     url_expr="string:${folder_url}/portlet_manage_form" visible="True">
-   <permission>Manage Portlets</permission>
-  </action>
-  <action title="action_accessibility" action_id="accessibility"
-     category="global_header" condition_expr=""
-     url_expr="string:${portal_url}/accessibility" visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="action_print" action_id="print" category="global_header"
-     condition_expr=""
-     url_expr="string:javascript:if%20(window.print)%20window.print();"
-     visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="action_advanced_search" action_id="advanced_search"
-     category="global_header" condition_expr=""
-     url_expr="string:./advanced_search_form" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="action_contact" action_id="contact" category="global_header"
-     condition_expr=""
-     url_expr="string:mailto:${portal/portal_properties/email_from_address}?subject=Info"
-     visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="action_manage_vocabularies" action_id="manage_vocabularies"
-     category="global" condition_expr=""
-     url_expr="string:${portal_url}/vocabularies_manage_form" visible="False">
-   <permission>Modify portal content</permission>
-  </action>
-  <action title="action_add_favorites" action_id="add_favorites"
-     category="user"
-     condition_expr="python: member and portal.portal_membership.getHomeFolder()"
-     url_expr="string:${object/absolute_url}/addtoFavorites" visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="action_view_favorites" action_id="view_favorites"
-     category="user"
-     condition_expr="python: hasattr(portal.portal_membership.getHomeFolder(),&quot;Favorites&quot;)"
-     url_expr="string:${portal/portal_membership/getHomeUrl}/Favorites"
-     visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="Directories" action_id="directories" category="global"
-     condition_expr="here/isSectionManager"
-     url_expr="string:${portal_url}/cpsdirectory_view" visible="True">
-   <permission>Modify portal content</permission>
-  </action>
-  <action title="Portal Members" action_id="members" category="global"
-     condition_expr="member"
-     url_expr="string:${portal_url}/search_members_form" visible="True">
-   <permission>Modify portal content</permission>
-  </action>
-  <action title="Home" action_id="home" category="navigation"
-     condition_expr="member" url_expr="string:${portal_url}/campus" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Academics" action_id="view_academics" category="navigation"
-     condition_expr="member" url_expr="string:${portal_url}/campus/academics"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Hostels" action_id="view_accommodation" category="navigation"
-     condition_expr="python:portal.campus.accommodation.isSectionOfficer()"
-     url_expr="string:${portal_url}/campus/accommodation" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Students" action_id="view_students" category="navigation"
-     condition_expr="python:portal.campus.students.isStaff()"
-     url_expr="string:${portal_url}/campus/students" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="PINs" action_id="view_pins" category="navigation"
-     condition_expr="python:portal.campus.pins.isSectionOfficer()"
-     url_expr="string:${portal_url}/campus/pins" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Contact" action_id="contact_admin" category="navigation"
-     condition_expr="member"
-     url_expr="string:${portal_url}/contact_admin_form" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Enquiries" action_id="support" category="student_navigation"
-     condition_expr="member" url_expr="string:${portal_url}/support_form"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Unchecked Items" action_id="unchecked" category="object"
-     condition_expr="python:member and 'academics' in object_url"
-     url_expr="string:./unchecked" visible="True">
-   <permission>Modify portal content</permission>
-  </action>
-  <action title="  " action_id="dummy" category="student_object"
-     condition_expr="" url_expr="" visible="True"/>
-  <action title="  " action_id="dummy2" category="object" condition_expr=""
-     url_expr="" visible="True"/>
-  <action title="Apply for PUME" action_id="apply_admission"
-     category="student" condition_expr="not:member"
-     url_expr="string:${portal_url}/apply_admission" visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="View PUME Results" action_id="display_pume_result"
-     category="student" condition_expr="not:member"
-     url_expr="string:${portal_url}/display_pume_result" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Check Admission" action_id="check_admission"
-     category="student" condition_expr="not:member"
-     url_expr="string:${portal_url}/check_admission" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="My Accommodation" action_id="reserve_accommodation"
-     category="student_navigation" condition_expr="member"
-     url_expr="string:${portal_url}/reserve_accommodation" visible="True"/>
-  <action title="Register Courses" action_id="register_courses"
-     category="student" condition_expr="member"
-     url_expr="string:${portal_url}/register_courses" visible="False"/>
-  <action title="Home" action_id="students_home" category="student_navigation"
-     condition_expr="member" url_expr="string:${portal_url}" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Prospectus" action_id="prospectus"
-     category="student_navigation" condition_expr="member"
-     url_expr="string:${portal_url}/campus/academics" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="My Study" action_id="registration"
-     category="student_navigation" condition_expr="member"
-     url_expr="string:${portal_url}/campus/students" visible="True">
-   <permission>View</permission>
-  </action>
- </action-provider>
- <action-provider name="portal_registration">
-  <action title="Join" action_id="join" category="user"
-     condition_expr="python:portal.portal_registration.enable_portal_joining and not member"
-     url_expr="string:${portal_url}/join_form" visible="True">
-   <permission>Add portal member</permission>
-  </action>
- </action-provider>
- <action-provider name="portal_themes">
-  <action title="_action_themes_reconfig_" action_id="configThemes"
-     category="global"
-     condition_expr="python: member and portal.portal_membership.checkPermission('Manage Themes', portal.portal_themes)"
-     url_expr="string:${portal_url}/cpsskins_themes_reconfig_form"
-     visible="True">
-   <permission>View</permission>
-  </action>
- </action-provider>
- <action-provider name="portal_types"/>
- <action-provider name="portal_syndication"/>
- <action-provider name="portal_workflow"/>
- <action-provider name="portal_properties">
-  <action title="Reconfigure Portal" action_id="configPortal"
-     category="global" condition_expr=""
-     url_expr="string:${portal_url}/config_form" visible="True">
-   <permission>Manage portal</permission>
-  </action>
- </action-provider>
-</object>