Index: /WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1285)
+++ /WAeUP_SRP/trunk/WAeUPTool.py	(revision 1286)
@@ -90,14 +90,19 @@
         clear_doc = clear.getContent()
         matric_no = clear_doc.matric_no.upper()
-        picture ="%s/import/pictures_returning/%s.jpg" % (i_home,matric_no)
+        picture1 ="%s/import/pictures_returning/%s.jpg" % (i_home,matric_no)
+        picture2 ="%s/import/pictures_returning/%s.JPG" % (i_home,matric_no)
         #import pdb;pdb.set_trace()
-        if not os.path.exists(picture):
-            return "Passport foto not found %s" % picture
-        file = open(picture)
+        if os.path.exists(picture1):
+            file = open(picture1)
+        elif os.path.exists(picture2):
+            file = open(picture2)        
+        else:
+            return "passport picture not found %s" % picture
+
         outfile = file.read()
         app_doc.manage_addFile('passport',
                                file=outfile,
                                title="%s.jpg" % matric_no)
-        return "successfully loaded passport"
+        return "successfully loaded passport picture"
     ###)
 
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_schoolfee.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_schoolfee.xml	(revision 1285)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_schoolfee.xml	(revision 1286)
@@ -7,14 +7,11 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
- <property name="label"></property>
- <property name="label_edit"></property>
- <property name="is_i18n">False</property>
  <widget name="pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Schoolfee Scratchcard</property>
+  <property name="title">Schoolfee Scratch Card</property>
   <property name="fields">
    <element value="payment_id"/>
   </property>
-  <property name="label">Scratchcard</property>
-  <property name="label_edit">Scratchcard</property>
+  <property name="label">Access Code</property>
+  <property name="label_edit">Access Code</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: /WAeUP_SRP/trunk/profiles/default/students_catalog.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/students_catalog.xml	(revision 1285)
+++ /WAeUP_SRP/trunk/profiles/default/students_catalog.xml	(revision 1286)
@@ -1,3 +1,3 @@
-<?xml version="1.0"?>
+z<?xml version="1.0"?>
 <object name="portal_catalog" meta_type="WAeUP Table">
  <column value="id"/>
Index: /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 1285)
+++ /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 1286)
@@ -94,4 +94,5 @@
   <exit-transition transition_id="create_content"/>
   <exit-transition transition_id="defer"/>
+  <exit-transition transition_id="pay_school_fee"/>
   <exit-transition transition_id="reject_clearance"/>
   <permission-map name="Delete objects" acquired="False">
@@ -188,11 +189,11 @@
  <state state_id="returning" title="">
   <exit-transition transition_id="create_content"/>
-  <exit-transition transition_id="enter_school_fee_pin"/>
-  <permission-map name="View" acquired="True">
-   <permission-role>Owner</permission-role>
-   <permission-role>SectionOfficer</permission-role>
-  </permission-map>
- </state>
- <state state_id="school_fee_pin_entered" title="">
+  <exit-transition transition_id="pay_school_fee"/>
+  <permission-map name="View" acquired="True">
+   <permission-role>Owner</permission-role>
+   <permission-role>SectionOfficer</permission-role>
+  </permission-map>
+ </state>
+ <state state_id="school_fee_paid" title="">
   <exit-transition transition_id="create_content"/>
   <exit-transition transition_id="register_courses"/>
@@ -224,5 +225,5 @@
              new_state="admitted" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -235,5 +236,5 @@
              new_state="admission_applied" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -246,5 +247,5 @@
              new_state="cleared_and_validated"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -257,5 +258,5 @@
              new_state="student_created" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -268,5 +269,5 @@
              new_state="" trigger="USER" before_script=""
              after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -280,5 +281,5 @@
              new_state="deferred" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -291,5 +292,5 @@
              new_state="application_pin_entered"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -302,20 +303,10 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-
-  <guard>
-   <guard-role>SectionOfficer</guard-role>
-   <guard-role>Owner</guard-role>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-  </guard>
- </transition>
- <transition transition_id="enter_school_fee_pin" title=""
-             new_state="school_fee_pin_entered"
-             trigger="USER" before_script="" after_script="">
-
-  <guard>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-   <guard-role>Owner</guard-role>
+  
+  <guard>
+   <guard-role>SectionOfficer</guard-role>
+   <guard-role>Owner</guard-role>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
   </guard>
  </transition>
@@ -323,5 +314,5 @@
              new_state="finally_rejected" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -332,11 +323,21 @@
  </transition>
  <transition transition_id="notify_change_courses" title=""
-             new_state="school_fee_pin_entered"
-             trigger="USER" before_script="" after_script="">
-
+             new_state="school_fee_paid" trigger="USER"
+             before_script="" after_script="">
+  
   <guard>
    <guard-role>CourseAdviser</guard-role>
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
+ <transition transition_id="pay_school_fee" title=""
+             new_state="school_fee_paid" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>Owner</guard-role>
   </guard>
  </transition>
@@ -344,5 +345,5 @@
              new_state="pume_failed" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -355,5 +356,5 @@
              new_state="pume_passed" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -366,5 +367,5 @@
              new_state="objection_raised" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -378,5 +379,5 @@
              new_state="courses_registered" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -388,5 +389,5 @@
              new_state="admission_rejected" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -399,5 +400,5 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -410,5 +411,5 @@
              new_state="clearance_requested" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -421,5 +422,5 @@
              new_state="returning" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -431,5 +432,5 @@
              new_state="courses_validated" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>CourseAdviser</guard-role>
@@ -443,5 +444,5 @@
   <description>Time of the last transition</description>
   <default>
-
+   
    <expression>state_change/getDateTime</expression>
   </default>
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc.py	(revision 1285)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc.py	(revision 1286)
@@ -32,5 +32,5 @@
     logger.info('"%s","certificate not found", "%s"' % (student_id,course))
     prefix = ""
-else:    
+else:
     prefix = res[0].getObject().getContent().school_fee_code
     if not prefix or prefix == 'none':
@@ -77,8 +77,8 @@
 now = DateTime.DateTime()
 info['date'] = now
-info['amount'] = "n/a" 
+info['amount'] = "n/a"
 pin = info['order_id'] = ds.get('pin')
-info['type_code'] = "schoolfee_%s" % pin
-info['type_description'] = 'Schoolfee SC %s' % pin
+info['type_code'] = "%s" % pin
+info['type_description'] = 'School Fee SC %s' % pin
 payments.invokeFactory('Payment', p_id)
 payment = getattr(payments,p_id)
@@ -87,5 +87,5 @@
 payment.getContent().edit(mapping=info)
 wftool.doActionFor(payment,'close')
-wftool.doActionFor(student,'enter_school_fee_pin')
+wftool.doActionFor(student,'pay_school_fee')
 url = "%s/payments" % (student.absolute_url())
 request.RESPONSE.redirect(url)
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1285)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/payments_view.pt	(revision 1286)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getPaymentsFolderInfo;
-             is_so info/is_so;
+             is_student context/isStudent;
              rows info/payments"
              >
@@ -15,7 +15,10 @@
         </a>
         <h3> 
-          <span tal:condition="python:is_so">
+          <span tal:condition="not:is_student">
             <span tal:content="info/student_name" />:
           </span>
+          <span tal:condition="is_student">
+            My
+          </span>          
           <span tal:content="here/title_or_id" />
         </h3>
Index: /WAeUP_SRP/trunk/skins/waeup_student/getNewStudentStatistics.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getNewStudentStatistics.py	(revision 1286)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getNewStudentStatistics.py	(revision 1286)
@@ -0,0 +1,126 @@
+## Script (Python) "getNewStudentStatistics"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id: getStudentStatistics.py 1277 2007-01-11 21:11:37Z joachim $
+"""
+return Student Statistics
+"""
+import logging
+logger = logging.getLogger('Student.Statistics')
+
+try:
+    from Products.AdvancedQuery import Eq, Between, Le,In, Ge
+    aq_portal = context.portal_catalog.evalAdvancedQuery
+    aq_students = context.students_catalog.evalAdvancedQuery
+except:
+    evalAdvancedQuery = None
+logger.info('"%s","invoked new statistics"' % context.portal_membership.getAuthenticatedMember())
+l = []
+if not context.isStaff():
+    return l
+dep = {}
+
+dep['id'] = "All Faculties"
+
+total_new = aq_students(Eq('level','100'))
+total_new = float(len(total_new))
+dep['new'] = "%.0f" % total_new
+
+
+#from Products.zdb import set_trace;set_trace()
+
+adm_res = context.portal_catalog(review_state ='admitted')
+adm_ids = [r.getId for r in adm_res]
+adm = len(adm_res)
+dep['admitted'] = adm
+dep['admitted_percent'] =  "%.0f" % round(adm*100/total_new)
+
+cpe_res = context.portal_catalog(review_state ='clearance_pin_entered')
+cpe_ids = [r.getId for r in cpe_res]
+cpe = len(cpe_res)
+dep['clearance_pin_entered'] = cpe
+dep['clearance_pin_entered_percent'] = "%.0f" % round(cpe*100/total_new)
+
+cr_res = context.portal_catalog(review_state='clearance_requested')
+cr_ids = [r.getId for r in cr_res]
+cr = len(cr_res)
+dep['clearance_requested'] = cr
+dep['clearance_requested_percent'] = "%.0f" % round(cr*100/total_new)
+
+cav_res = context.portal_catalog(review_state ='cleared_and_validated')
+cav_ids = [r.getId for r in cav_res]
+cav = len(cav_res)
+dep['cleared_and_validated'] = cav
+dep['cleared_and_validated_percent'] = "%.0f" % round(cav*100/total_new)
+
+or_res = context.portal_catalog(review_state='objection_raised')
+or_ids = [r.getId for r in or_res]
+ora = len(or_res)
+dep['objection_raised'] = ora
+dep['objection_raised_percent'] = "%.0f" % round(ora*100/total_new)
+
+ret_res = context.portal_catalog(review_state ='returning')
+ret_ids = [r.getId for r in ret_res]
+total_ret = aq_students(Ge('level','200'))
+total_ret = float(len(total_ret))
+dep['returning'] = "%.0f" % total_ret
+
+l.append(dep)
+fs = context.portal_catalog(portal_type="Faculty")
+for fid in [f.getId for f in fs]:
+    dep = {}
+    dep['id'] = fid
+    fquery = Eq('faculty',fid)
+    squery = Eq('level','100')
+    fac_res = aq_students(fquery & squery)
+    fac_ids = [r.id for r in fac_res]
+    total = float(len(fac_res))
+    #if total == 0:
+    #    continue
+    dep['new'] = "%.0f" % total
+
+    adm = len([s for s in fac_ids if s in adm_ids])
+    dep['admitted'] = adm
+    dep['admitted_percent'] = 0
+    if total:
+        dep['admitted_percent'] = "%.0f" % round(adm*100/total)
+
+    cpe = len([s for s in fac_ids if s in cpe_ids])
+    dep['clearance_pin_entered'] = cpe
+    dep['clearance_pin_entered_percent'] = 0
+    if total:
+        dep['clearance_pin_entered_percent'] = "%.0f" % round(cpe*100/total)
+    cr = len([s for s in fac_ids if s in cr_ids])
+    dep['clearance_requested'] = cr
+    dep['clearance_requested_percent'] = 0
+    if total:
+        dep['clearance_requested_percent'] = "%.0f" % round(cr*100/total)
+    cav = len([s for s in fac_ids if s in cav_ids])
+    dep['cleared_and_validated'] = cav
+    dep['cleared_and_validated_percent'] = 0
+    if total:
+        dep['cleared_and_validated_percent'] = "%.0f" % round(cav*100/total)
+    ora = len([s for s in fac_ids if s in or_ids])
+    dep['objection_raised'] = ora
+    dep['objection_raised_percent'] = 0
+    if total:
+        dep['objection_raised_percent'] = "%.0f" % round(ora*100/total)
+
+    squery = Ge('level','200')
+    fac_res = aq_students(fquery & squery)
+    fac_ids = [r.id for r in fac_res]
+    ret = len([s for s in fac_ids if s in ret_ids])
+    dep['returning'] = ret
+
+    if total == 0 and ret == 0:
+        continue
+
+    l.append(dep)
+
+return l
Index: /WAeUP_SRP/trunk/skins/waeup_student/getRetStudentStatistics.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getRetStudentStatistics.py	(revision 1286)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getRetStudentStatistics.py	(revision 1286)
@@ -0,0 +1,56 @@
+## Script (Python) "getRetStudentStatistics"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id: getStudentStatistics.py 1277 2007-01-11 21:11:37Z joachim $
+"""
+return Student Statistics
+"""
+import logging
+logger = logging.getLogger('Student.Statistics')
+
+try:
+    from Products.AdvancedQuery import Eq, Between, Le,In, Ge
+    aq_portal = context.portal_catalog.evalAdvancedQuery
+    aq_students = context.students_catalog.evalAdvancedQuery
+except:
+    evalAdvancedQuery = None
+logger.info('"%s","invoked returning statistics"' % context.portal_membership.getAuthenticatedMember())
+l = []
+if not context.isStaff():
+    return l
+dep = {}
+
+dep['id'] = "All Faculties"
+
+#from Products.zdb import set_trace;set_trace()
+
+ret_res = context.portal_catalog(review_state ='returning')
+ret_ids = [r.getId for r in ret_res]
+total_returned = aq_students(Ge('level','200'))
+total_returned = float(len(total_returned))
+dep['returned'] = "%.0f" % total_returned
+
+l.append(dep)
+fs = context.portal_catalog(portal_type="Faculty")
+for fid in [f.getId for f in fs]:
+    dep = {}
+    dep['id'] = fid
+    fquery = Eq('faculty',fid)
+    squery = Ge('level','200')
+    fac_res = aq_students(fquery & squery)
+    fac_ids = [r.id for r in fac_res]
+    ret = len([s for s in fac_ids if s in ret_ids])
+    dep['returned'] = ret
+
+    if ret == 0:
+        continue
+
+    l.append(dep)
+
+return l
Index: /WAeUP_SRP/trunk/skins/waeup_student/getSchoolFeePrefix.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getSchoolFeePrefix.py	(revision 1285)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getSchoolFeePrefix.py	(revision 1286)
@@ -18,6 +18,6 @@
 if not res:
     logger.info('"%s","certificate not found", "%s"' % (student_id,course))
-    prefix = ""
-else:    
+    prefix = "--"
+else:
     prefix = res[0].getObject().getContent().school_fee_code
     if not prefix or prefix == 'none':
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1285)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1286)
@@ -150,5 +150,5 @@
     row['review_state'] = so.review_state
     if info['review_state'] in ('returning',
-                                'school_fee_pin_entered',
+                                'school_fee_paid',
                                 'courses_registered',
                                 'courses_validated',):
@@ -163,5 +163,5 @@
                            so.portal_type not in ('StudentPume',) or\
                            so.portal_type == 'StudentStudyCourse'
-    
+
     items.append(row)
 info['items'] = items
Index: eUP_SRP/trunk/skins/waeup_student/getStudentStatistics.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentStatistics.py	(revision 1285)
+++ 	(revision )
@@ -1,88 +1,0 @@
-## Script (Python) "getStudentStatistics"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# $Id$
-"""
-return Student Statistics
-"""
-import logging
-logger = logging.getLogger('Student.Statistics')
-
-try:
-    from Products.AdvancedQuery import Eq, Between, Le,In
-    aq_portal = context.portal_catalog.evalAdvancedQuery
-    aq_students = context.students_catalog.evalAdvancedQuery
-except:
-    evalAdvancedQuery = None
-logger.info('"%s","invoked statistics"' % context.portal_membership.getAuthenticatedMember())
-l = []
-if not context.isStaff():
-    return l
-dep = {}
-dep['id'] = "All"
-#total = len(context.students_catalog())
-freshmen = aq_portal(Eq('portal_type','Student') \
-           & Le('created',context.ZopeTime("2006/12/24")))
-total = len(freshmen)
-dep['students'] = total
-#from Products.zdb import set_trace;set_trace()
-cpe_res = context.portal_catalog(review_state ='clearance_pin_entered')
-cpe_ids = [r.getId for r in cpe_res]
-cpe = len(cpe_res)
-dep['clearance_pin_entered'] = cpe
-dep['clearance_pin_entered_percent'] = (cpe*100/total)
-cr_res = context.portal_catalog(review_state='clearance_requested')
-cr_ids = [r.getId for r in cr_res]
-cr = len(cr_res)
-dep['clearance_requested'] = cr
-dep['clearance_requested_percent'] = (cr*100/total)
-cav_res = context.portal_catalog(review_state ='cleared_and_validated')
-cav_ids = [r.getId for r in cav_res]
-cav = len(cav_res)
-dep['cleared_and_validated'] = cav
-dep['cleared_and_validated_percent'] = (cav*100/total)
-or_res = context.portal_catalog(review_state='objection_raised')
-or_ids = [r.getId for r in or_res]
-ora = len(or_res)
-dep['objection_raised'] = ora
-dep['objection_raised_percent'] = (ora*100/total)
-l.append(dep)
-fs = context.portal_catalog(portal_type="Faculty")
-for fid in [f.getId for f in fs]:
-    dep = {}
-    dep['id'] = fid
-    fquery = Eq('portal_type','Faculty')
-    fac_res = context.students_catalog(faculty=fid)
-    fac_ids = [r.id for r in fac_res]
-    total = len(fac_res)
-    if total == 0:
-        continue
-    dep['students'] = total
-    cpe = len([s for s in fac_ids if s in cpe_ids])
-    dep['clearance_pin_entered'] = cpe
-    dep['clearance_pin_entered_percent'] = 0
-    if total:
-        dep['clearance_pin_entered_percent'] = (cpe*100/total)
-    cr = len([s for s in fac_ids if s in cr_ids])
-    dep['clearance_requested'] = cr
-    dep['clearance_requested_percent'] = 0
-    if total:
-        dep['clearance_requested_percent'] = (cr*100/total)
-    cav = len([s for s in fac_ids if s in cav_ids])
-    dep['cleared_and_validated'] = cav
-    dep['cleared_and_validated_percent'] = 0
-    if total:
-        dep['cleared_and_validated_percent'] = (cav*100/total)
-    ora = len([s for s in fac_ids if s in or_ids])
-    dep['objection_raised'] = ora
-    dep['objection_raised_percent'] = 0
-    if total:
-        dep['objection_raised_percent'] = (ora*100/total)
-    l.append(dep)
-return l
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py	(revision 1285)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py	(revision 1286)
@@ -29,5 +29,5 @@
 review_state = info['review_state'] = wf.getInfoFor(student,'review_state',None)
 info['returning'] = review_state in  ('returning',
-                                           'school_fee_pin_entered',
+                                           'school_fee_paid',
                                            'courses_registered',
                                            'courses_validated',
Index: /WAeUP_SRP/trunk/skins/waeup_student/pay_by_sc_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pay_by_sc_form.pt	(revision 1285)
+++ /WAeUP_SRP/trunk/skins/waeup_student/pay_by_sc_form.pt	(revision 1286)
@@ -13,5 +13,5 @@
       </metal:block>
       <metal:block fill-slot="main">
-        <h3>Pay Your 2005/2006 Schoolfee with Scratchcart!</h3>
+        <h3>Pay Your 2006/2007 School Fee by Scratch Card!</h3>
         <br />
         <div tal:replace="structure rendered_main" />
Index: /WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 1285)
+++ /WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 1286)
@@ -115,5 +115,5 @@
   </td></tr>
   </span>
-  <span tal:condition="python:info['review_state']=='school_fee_pin_entered'">
+  <span tal:condition="python:info['review_state']=='school_fee_paid'">
   <tr><td class="active">
     <a href="" tal:attributes="href string:${info/url}/student_view">
@@ -122,5 +122,5 @@
   </td></tr>
   </span>
-  <span tal:condition="python:info['review_state']!='school_fee_pin_entered'">
+  <span tal:condition="python:info['review_state']!='school_fee_paid'">
   <tr><td>
     School fee paid
Index: /WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1285)
+++ /WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 1286)
@@ -18,5 +18,7 @@
       </span>
       <span tal:condition="allowed" tal:omit-tag="">
-        <a href="statistics_view"><strong>Student Statistics</strong></a>
+        <a href="statistics_new_view"><strong>New Student Statistics</strong></a>
+        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+        <a href="statistics_ret_view"><strong>Returning Student Statistics</strong></a>
         <h3> Search Student Section</h3><br />
           You are logged in as member <span tal:replace="info/member|nothing" /> 
Index: /WAeUP_SRP/trunk/skins/waeup_student/statistics_new_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/statistics_new_view.pt	(revision 1286)
+++ /WAeUP_SRP/trunk/skins/waeup_student/statistics_new_view.pt	(revision 1286)
@@ -0,0 +1,75 @@
+                      
+  <metal:body use-macro="here/main_template/macros/master">
+
+
+    <metal:main fill-slot="main">
+
+  <metal:block tal:define="departments context/getNewStudentStatistics;
+                        mtool here/portal_membership;
+                        member mtool/getAuthenticatedMember;">       
+
+      <span tal:condition="not: departments">
+        <span tal:content="here/illegal_view" />
+      </span>
+      <span tal:condition="departments">
+  
+      <a href="search_students"><strong>Search Students</strong></a>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+      <a href="statistics_ret_view"><strong>Returning Student Statistics</strong></a>
+      <h3>New Student Statistics</h3>
+      <br />      
+      <span tal:condition="not:isAnon">
+        <table>
+          <tr class="odd ajaxtd">
+            <th >Faculty</th>
+            <th align="right">Total New</th>
+            <th align="right">AD</th>
+            <th align="right">OR</th>
+            <th align="right">CPE</th>
+            <th align="right">CR</th>
+            <th align="right">VC</th>
+          </tr>
+          <tr tal:repeat="d departments"
+              tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
+              <td width="80px"> <span tal:content="d/id" /> </td>
+              <td width="80px" align="right">
+                <span tal:content="d/new" />
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/admitted" />
+                (<span tal:content="d/admitted_percent" />%)
+              </td>              
+              <td width="80px" align="right"> 
+                <span tal:content="d/objection_raised" />
+                (<span tal:content="d/objection_raised_percent" />%)
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/clearance_pin_entered" />
+                (<span tal:content="d/clearance_pin_entered_percent" />%)
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/clearance_requested" />
+                (<span tal:content="d/clearance_requested_percent" />%)
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/cleared_and_validated" />
+                (<span tal:content="d/cleared_and_validated_percent" />%)
+              </td>
+     
+          </tr>
+        </table>
+        <br />
+        <table>
+        <tr><td>AD:</td> <td>Admitted</td></tr>
+        <tr><td>OR:</td> <td>Objection raised</td></tr>
+        <tr><td>CPE:</td> <td>Clearance PIN entered</td></tr>
+        <tr><td>CR: </td> <td>Clearance requested</td></tr>
+        <tr><td>VC: </td> <td>Validated and cleared</td></tr>
+        </table>
+      </span>
+      </span>
+</metal:block>      
+    </metal:main>
+
+  </metal:body>
+      
Index: /WAeUP_SRP/trunk/skins/waeup_student/statistics_ret_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/statistics_ret_view.pt	(revision 1286)
+++ /WAeUP_SRP/trunk/skins/waeup_student/statistics_ret_view.pt	(revision 1286)
@@ -0,0 +1,41 @@
+                      
+  <metal:body use-macro="here/main_template/macros/master">
+
+
+  <metal:main fill-slot="main">
+  <metal:block tal:define="departments context/getRetStudentStatistics;
+                        mtool here/portal_membership;
+                        member mtool/getAuthenticatedMember;">       
+
+      <span tal:condition="not: departments">
+        <span tal:content="here/illegal_view" />
+      </span>
+      <span tal:condition="departments">
+  
+      <a href="search_students"><strong>Search Students</strong></a>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+      <a href="statistics_new_view"><strong>New Student Statistics</strong></a>
+      <h3>Returning Student Statistics</h3>
+      <br />      
+      <span tal:condition="not:isAnon">
+        <table>
+          <tr class="odd ajaxtd">
+            <th >Faculty</th>
+            <th align="right">Returning</th>
+          </tr>
+          <tr tal:repeat="d departments"
+              tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
+              <td width="80px"> <span tal:content="d/id" /> </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/returned " />
+              </td>              
+          </tr>
+        </table>
+        <br />
+      </span>
+      </span>
+  </metal:block>      
+  </metal:main>
+
+  </metal:body>
+      